class_name Item extends Resource

enum Slots{
	WEAPON,
	ARMOR,
	ACCESSORY
}

@export var image : Texture2D
@export var name : StringName
@export var brief : String
@export var quantity : int = 1
@export var max_quantity : int = 1
@export var varies : bool
@export var per : bool
@export var grade : String = "F"


func item_type_name() -> String:
	return "Item"

func can_equip_slot(slot : Slots) -> bool:
	return false

static func slot_name(slot : Slots) -> String:
	match(slot):
		Slots.WEAPON: return "Weapon"
		Slots.ARMOR: return "Armor"
		Slots.ACCESSORY: return "Accessory"
	return "ERROR"
